// creator  : weidu.exe (version 23100)
// argument : BRELM.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BRELM~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #7 /* Triggers after states #: 1 3 6 8 12 17 22 even though they appear after this state */
~RandomNum(4,1)~ THEN BEGIN 0 // from:
  SAY #25044 /* ~So what are ye lookin' at?  Ye never seen someone stand by the counter before?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~!Dead("Ribald")
RandomNum(7,1)~ THEN BEGIN 1 // from:
  SAY #25045 /* ~I've known Ribald here since... hmm... since that l'il adventure there in Shadowdale.  Isn't that right, Ribald?~ */
  IF ~~ THEN EXTERN ~RIBALD~ 5
END

IF ~~ THEN BEGIN 2 // from:
  SAY #25047 /* ~Arr, don't be listenin' to him.  What does he know?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~!Dead("Ribald")
RandomNum(7,2)~ THEN BEGIN 3 // from:
  SAY #25048 /* ~I be fresh from the sailing ship, I am.  Recently come from the Moonshaes.  Arr, choppy seas, it is.~ */
  IF ~~ THEN EXTERN ~RIBALD~ 6
END

IF ~~ THEN BEGIN 4 // from:
  SAY #25050 /* ~Ye're goin' to keep openin' yer mouth, ain't ye?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #8 /* Triggers after states #: 6 8 12 17 22 even though they appear after this state */
~RandomNum(4,2)~ THEN BEGIN 5 // from:
  SAY #25051 /* ~Ye should be wary if ye wanders into th' Dock District...'tis an area ruled by the thieves, it is.  Nary a guard in sight.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~!Dead("Ribald")
RandomNum(7,3)~ THEN BEGIN 6 // from:
  SAY #25052 /* ~Watch fer thieves in the slums and docks, me friend.  Me... I be not worried.  Killed three last week, I did.~ */
  IF ~~ THEN EXTERN ~RIBALD~ 7
END

IF ~~ THEN BEGIN 7 // from:
  SAY #25113 /* ~Now, I don't be telling stories about ye, now, does I?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~!Dead("Ribald")
RandomNum(7,4)~ THEN BEGIN 8 // from:
  SAY #25054 /* ~Ye should be wary of the Cowled Wizards, if ye e'er cross paths with them.  They be a frightenin' lot... the only ones in Athkatla who may practice magic.~ */
  IF ~~ THEN EXTERN ~RIBALD~ 8
END

IF ~~ THEN BEGIN 9 // from:
  SAY #25115 /* ~I daresay I did, Ribald.  Two of 'em at once, an' they regretted it, too.~ */
  IF ~~ THEN EXTERN ~RIBALD~ 9
END

IF ~~ THEN BEGIN 10 // from:
  SAY #25117 /* ~Now... now, I say, just what kind o' friend are ye, anyway to say such things about me?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #9 /* Triggers after states #: 12 17 22 even though they appear after this state */
~RandomNum(4,3)~ THEN BEGIN 11 // from:
  SAY #25118 /* ~Ye aren't a thief, are ye?  The Adventure Mart, here, don't put up wi' no thievery business.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~!Dead("Ribald")
RandomNum(7,5)~ THEN BEGIN 12 // from:
  SAY #25119 /* ~There be a huge, silver sphere that they say appeared in the slums out o' nowhere, it did.~ */
  IF ~~ THEN EXTERN ~RIBALD~ 10
END

IF ~~ THEN BEGIN 13 // from:
  SAY #25121 /* ~Aye, I did.  Last week.  Huge thing, it is, larger than life an' twice as grim.  No one knows how t' get inside... and no one's come out.~ */
  IF ~~ THEN EXTERN ~RIBALD~ 11
END

IF ~~ THEN BEGIN 14 // from:
  SAY #25123 /* ~Well, I still went an' seen it, blast it!  I ain't blind!~ */
  IF ~~ THEN EXTERN ~RIBALD~ 12
END

IF ~~ THEN BEGIN 15 // from:
  SAY #25125 /* ~Well, I be allergic to Turmish.  An' besides, it has naught to do with yon sphere.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #10 /* Triggers after states #: 17 22 even though they appear after this state */
~RandomNum(4,4)~ THEN BEGIN 16 // from:
  SAY #25126 /* ~Ah, but I do miss me adventurin' days...~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~!Dead("Ribald")
RandomNum(7,6)~ THEN BEGIN 17 // from:
  SAY #25127 /* ~Ah, but I do miss me adventurin' days...~ */
  IF ~~ THEN EXTERN ~RIBALD~ 13
END

IF ~~ THEN BEGIN 18 // from:
  SAY #25129 /* ~Me adventurin' days!  When I was an adventurer, true, blast it!  Does I have to be spellin' it out fer ye?~ */
  IF ~~ THEN EXTERN ~RIBALD~ 14
END

IF ~~ THEN BEGIN 19 // from:
  SAY #25131 /* ~Well... well, I does some cobblin' NOW, sure.  But BEFORE that I were an adventurer!~ */
  IF ~~ THEN EXTERN ~RIBALD~ 15
END

IF ~~ THEN BEGIN 20 // from:
  SAY #25133 /* ~I... well, if ye must be knowin', I was well known in Scornubel for a time.~ */
  IF ~~ THEN EXTERN ~RIBALD~ 16
END

IF ~~ THEN BEGIN 21 // from:
  SAY #25135 /* ~Er... well, I... no.  (grumble)  Sometimes, I really does hate ye, Ribald.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 ~!Dead("Ribald")
RandomNum(7,7)~ THEN BEGIN 22 // from:
  SAY #25139 /* ~I'm warning ye, Ribald... ye keep that wyvern away from me, now...~ */
  IF ~~ THEN EXTERN ~RIBALD~ 17
END

IF ~~ THEN BEGIN 23 // from:
  SAY #25141 /* ~You just mind me, now!  I don' like the look of it, an' I don' like the smell of it.  So there.~ */
  IF ~~ THEN EXIT
END
